DeLi(cate) Forum
PKGBUILD files - Printable Version

+- DeLi(cate) Forum (http://delicate-linux.net/forum)
+-- Forum: DeLi(cate) Linux [english only] (/forumdisplay.php?fid=3)
+--- Forum: Development (/forumdisplay.php?fid=6)
+--- Thread: PKGBUILD files (/showthread.php?tid=74)

Pages: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33


RE: PKGBUILD files - tavvva - 03-06-2012 05:44 PM

(12-25-2011 11:09 PM)Compact Wrote:  libxv is needed for vice:

seems to be ok ... i just replaced the libtool removal scriptlet with the new and more sexy version:
find $pkgdir -name '*.la' -delete and cleaned the options.

(12-25-2011 11:09 PM)Compact Wrote:  vice : A Versatile Commodore Emulator (c64, c128, vic etc.)

seems ok to ... I just removed that second cd (not needed)...
NOTE: if any parts can be executed without command line parameters, it would be nice to include desktop files and icons ...


RE: PKGBUILD files - tavvva - 03-06-2012 05:49 PM

(12-26-2011 10:41 PM)nl2stk Wrote:  fceu

OK as is ... but again .... icon+desktop would be nice


RE: PKGBUILD files - tavvva - 03-06-2012 06:20 PM

(12-27-2011 02:16 PM)nl2stk Wrote:  GpicView, another lightweight imageviewer from the LXDE desktop. It's an older version because newer versions needs a newer intltool.
--EDIT:
Has a .desktop file and icon (PNG) in usr/share/pixmaps

seems ok ...
I created the xpms from the PNG ....
it unfortunately doesn't list files with supported formats well (we could fix it one day Smile)

(12-27-2011 02:16 PM)nl2stk Wrote:  Another tool from the LXDE desktop, called lxtask same story about the intltool so it's an older version. It's a GTK based task manager.
--EDIT:
Has a .desktop file but no icon, so this needs attention.

Seems ok ... and yes, it does need attention :]
Anyway .... nice piece.


RE: PKGBUILD files - tavvva - 03-07-2012 02:00 PM

libxss ... static libs & libtool stuff not removed

tk ... might be ok (but we definitely need to split the packages to main and devel subpackage; this might need a newer pacman or some hack for the current one)


RE: PKGBUILD files - tavvva - 03-07-2012 03:11 PM

(12-30-2011 09:22 AM)nl2stk Wrote:  Another build, Abuse a 2d shoot/platform game, This build is without OpenGL and timidity (a kind of software synth) support, and just plain SDL.
---EDIT:
This built contains a .desktop file and the icon is in different (PNG) sizes in /usr/share/icons/hicolor

? where ? I didn't find any desktop file. Anyway I created one + converted the png icon to needed ones.


RE: PKGBUILD files - tavvva - 03-07-2012 03:32 PM

gmp .... static libs & libtool not removed

gstreamer .... libtool not removed


RE: PKGBUILD files - nl2stk - 03-08-2012 05:25 PM

(03-06-2012 05:49 PM)tavvva Wrote:  
(12-26-2011 10:41 PM)nl2stk Wrote:  fceu

OK as is ... but again .... icon+desktop would be nice

fceu needs to start from the terminal 'fceu rom_name' there is no userinterface.
In this case it's a very good thing (it's an emulator, and we need all the power for it :] )


RE: PKGBUILD files - tavvva - 03-08-2012 07:56 PM

(12-30-2011 09:01 PM)nl2stk Wrote:  A remake from a classic ms-dos game called 'bomns', a 2 player deathmatch game.

Ok ... just added the right icons.


RE: PKGBUILD files - tavvva - 03-08-2012 07:59 PM

(03-08-2012 05:25 PM)nl2stk Wrote:  fceu needs to start from the terminal 'fceu rom_name' there is no userinterface.
In this case it's a very good thing (it's an emulator, and we need all the power for it :] )

ok .... this was just general note ...


RE: PKGBUILD files - tavvva - 03-09-2012 12:26 PM

(03-09-2012 10:35 AM)Compact Wrote:  I'm trying to look with the eye of a newcomer to Delicate Linux and compiling.

If Delicate is freshly installed and you use "makepkg" many things are missing. This, in fact, means you must fill in quite a lot behind makedepends= in the PKGBUILD again and again. But we never ever do that !!

So it may come in easier for newcomers that "somewhere" the option is given to install the complete compiling environnement. Perhaps this can be done via Delisetup ? Or via a script-package that must always be included: via makedepends=script-package.

This is just an idea to ease the use of our PKGBUILD's after a fresh install.
For in fact, the way it is now, all PKGBUILD's are incomplete. Nothing works !

We could do something like meta-package, but I'm not aware of any missing things .... maybe binutils, gcc, srcget, make, patch, libtool/autotools ... ?